# Rompot Schedio: A Python Library for Robotic Drawings

[![pypi-image]][pypi-url]
[![license-image]][license-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->

[pypi-image]: https://img.shields.io/pypi/v/rompot-schedio
[license-image]: https://img.shields.io/github/license/entelecheia/rompot-schedio
[license-url]: https://github.com/entelecheia/rompot-schedio/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/rompot-schedio?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/rompot-schedio
[release-url]: https://github.com/entelecheia/rompot-schedio/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg
[repo-url]: https://github.com/entelecheia/rompot-schedio
[pypi-url]: https://pypi.org/project/rompot-schedio
[docs-url]: https://rompot-schedio.entelecheia.ai
[changelog]: https://github.com/entelecheia/rompot-schedio/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/rompot-schedio/blob/main/CONTRIBUTING.md

<!-- Links: -->

- Documentation: [https://rompot-schedio.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/rompot-schedio][repo-url]
- PyPI: [https://pypi.org/project/rompot-schedio][pypi-url]

Rompot-Schedio is an innovative and versatile Python library designed to facilitate the creation, manipulation, and control of robotic drawings. The name Rompot-Schedio combines the Greek words ρομπότ (robot) and σχέδιο (drawing), embodying the library's mission to empower users to design, simulate, and execute robotic drawing projects with ease and precision.

## Features

Rompot-Schedio offers a wide array of features tailored to cater to both enthusiasts and professionals in the fields of robotics, art, and engineering:

- **Intuitive API**: The library provides a user-friendly API, allowing users to easily design, simulate, and control robotic drawing systems with minimal lines of code.
- **Cross-platform compatibility**: Rompot-Schedio is designed to work with various robotic platforms, including industrial manipulators, mobile robots, and custom-built drawing machines, ensuring adaptability and flexibility for different projects and requirements.
- **Advanced drawing tools**: The library includes a collection of advanced drawing tools and algorithms, enabling users to create intricate patterns, geometric shapes, and artistic designs with precision and accuracy.
- **Simulations and visualizations**: Rompot-Schedio offers built-in simulation and visualization capabilities, allowing users to test their designs and control strategies in a virtual environment before deploying them to physical robots.
- **Path planning and optimization**: The library includes powerful path planning and optimization algorithms, ensuring efficient and smooth drawing trajectories, while minimizing errors and artifacts in the final output.
- **Customizability**: Users can create custom drawing tools, robotic platforms, and control strategies, offering complete control over every aspect of their robotic drawing projects.

## Installation

You can install Rompot-Schedio using pip:

```bash
pip install rompot-schedio
```

## Getting Started

To get started with Rompot-Schedio, check out the [official documentation][docs-url] and the [GitHub repository][repo-url] for examples, tutorials, and more information.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
